Bug 1419446 - [RFE] Allow using an external DB file for extended attributes (xattr) [NEEDINFO]
Summary: [RFE] Allow using an external DB file for extended attributes (xattr)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: posix
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL: http://lists.gluster.org/pipermail/gl...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 07:51 UTC by Jiri Belka
Modified: 2018-11-19 05:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 05:20:45 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
ndevos: needinfo? (pkarampu)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 581 0 None None None 2018-11-19 05:26:58 UTC

Description Jiri Belka 2017-02-06 07:51:41 UTC
Description of problem:

Allow using an external DB file for extended attributes (xattr) like Samba does[1], this would bring glusterfs on OSes which do not support xattr.

[1] https://www.samba.org/samba/docs/man/manpages/vfs_xattr_tdb.8.html

I'd be happy to test diffs for this feature on OpenBSD.

Comment 1 Niels de Vos 2017-02-14 12:32:41 UTC
This should be relatively straight forward to implement in the posix xlator. I'm also pretty sure Manu would approve of this for the NetBSD environments, it also needs some special configuration for xattrs.

Pranith, do you have any concerns?

Comment 2 Jiri Belka 2017-02-17 11:49:23 UTC
(In reply to Niels de Vos from comment #1)
> This should be relatively straight forward to implement in the posix xlator.
> I'm also pretty sure Manu would approve of this for the NetBSD environments,
> it also needs some special configuration for xattrs.
> 
> Pranith, do you have any concerns?

An OS where this could be tested is OpenBSD, it does support neither ACL nor XATTR.

Comment 3 Vijay Bellur 2018-11-19 05:26:59 UTC
Migrated to github:

https://github.com/gluster/glusterfs/issues/581

Please follow the github issue for further updates on this bug.


Note You need to log in before you can comment on or make changes to this bug.